<template>
    <layout>
        <div id="about">
            <h5>About</h5>
            <div class="d-grid gap-2 col-1">
                <button type="button" class="btn btn-primary" @click="increment">
                    {{ store.count }}
                </button>
            </div>
        </div>
    </layout>
</template>

<script setup>

import { ref, onMounted } from 'vue'
import Layout from '@/Layout.vue'
import { useCounterStore } from '@/store'

const count = ref(0)
const store = useCounterStore()

function increment() {
    store.increment()
    console.log("count:", store.count)
}

onMounted(() => {
  console.log("mounted")
})


</script>
